Name:          libsignon-glib
Version:       1.14
Release:       1mamba
Summary:       Glib binding for Single Sign-on library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://code.google.com/p/accounts-sso/
Source:        https://gitlab.com/accounts-sso/libsignon-glib.git/VERSION_%{version}/libsignon-glib-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libpython-devel
BuildRequires: libsignon-devel
## AUTOBUILDREQ-END
Requires:      signon
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Glib binding for Single Sign-on library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure --enable-gtk-doc
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsignon-glib.so.*
%{_libdir}/girepository-1.0/Signon-1.0.typelib
%{python_sitearch}/gi/overrides/Signon.py
%{python_sitearch}/gi/overrides/Signon.pyc
%{python_sitearch}/gi/overrides/Signon.pyo
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libsignon-glib
%{_includedir}/libsignon-glib/signon-*.h
%{_libdir}/libsignon-glib.la
%{_libdir}/libsignon-glib.so
%{_libdir}/pkgconfig/libsignon-glib.pc
%{_datadir}/gir-1.0/Signon-1.0.gir
%{_datadir}/vala/vapi/signon.vapi
%doc ChangeLog NEWS

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libsignon-glib
%{_datadir}/gtk-doc/html/libsignon-glib/*

%changelog
* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-1mamba
- update to 1.14

* Sat Oct 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-1mamba
- update to 1.12

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9-2mamba
- python 2.7 mass rebuild

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic version update by autodist

* Thu Apr 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8-1mamba
- package created by silvan using the webbuild interface
